Bug 204560 - Review Request: python-pydns - Another Pyhon DNS library.
Review Request: python-pydns - Another Pyhon DNS library.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 204561
  Show dependency treegraph
 
Reported: 2006-08-29 19:49 EDT by jafo-redhat
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 15:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description jafo-redhat 2006-08-29 19:49:28 EDT
Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns-2.3.0-1.noarch.rpm
Description: Another Python DNS library, this one is based on Guido's original code, updated by Anthony Baxter.  It is required for the PySPF package.

This is my first package and I need a sponsor.
Comment 1 Kevin Fenzi 2006-08-29 22:48:11 EDT
I'd be happy to take a look at this (and pyspf). 

Your SRPM link seems to be pointing to the noarch instead of the src.rpm... 
can you provide an updated link? :)
Comment 2 Kevin Fenzi 2006-08-29 23:18:27 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
See below - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.
SHOULD Items:
See below - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. Should the license really be "Python Software Foundation License"
and not "Python license" ? a grep in the unpacked source gives:
PKG-INFO:License: Python license
README.txt:This code is released under a Python-style license.
setup.py:        license = 'Python license',

2. You should provide a full path to the source in Source0.
Perhaps something like:
Source0: http://easynews.dl.sourceforge.net/sourceforge/pydns/
pydns-%{version}.tgz

3. You need to own the %{python_sitelib}/DNS/ directory, not just
it's contents.

4. rpmlint says:
W: python-pydns summary-ended-with-dot Python module for DNS (Domain Name 
Service).
Suggest: remove the . at the end of the summary line.

5. You BuildRequire python-setuptools, according to the python package
guidelines ( at http://fedoraproject.org/wiki/Packaging/Python ),
"Python packages that use setuptools need to add python-setuptools 
as a BuildRequires and must either add --single-version-externally-managed 
to the line invoking setup.py in %install, or must add a .pth file 
containing the path to the egg or egg directory to %{python_sitelib}."
Should this package do that? Or does it really need python-setuptools at all?
Comment 3 jafo-redhat 2006-08-30 05:47:42 EDT
Sorry about that.  Here's the SRPM:

SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns-2.3.0-1.src.rpm
Comment 4 jafo-redhat 2006-08-30 06:06:16 EDT
Thanks for the pointers, Kevin.

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns-2.3.0-2.src.rpm
Comment 5 Kevin Fenzi 2006-08-30 22:23:02 EDT
ok, all the 5 issues above from comment #2 are fixed... 
one new thing however, you're missing a changelog entry for the -2 release. 

Fix that up and I think this will be all ready for approval. 
Comment 6 jafo-redhat 2006-08-31 02:09:54 EDT
I've changed this to include a changelog for -3.  I hope this is ok, as I pretty
much consider everything <-3 to be part of the initial packaging, since I
haven't released them otherwise.

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns-2.3.0-3.src.rpm
Comment 7 jafo-redhat 2006-08-31 17:31:27 EDT
This version has changelog entries for the -2

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pydns-2.3.0-4.src.rpm
Comment 8 Kevin Fenzi 2006-08-31 21:17:22 EDT
looks good. This package is APPROVED. 

I'd be happy to sponsor you... 

Continue the process from the "get a fedora account" section on: 
http://www.fedoraproject.org/wiki/Extras/Contributors


Comment 9 jafo-redhat 2006-09-01 15:10:11 EDT
The package was imported and built.
Comment 10 Sean Reifschneider 2007-06-11 19:33:48 EDT
Package Change Request
======================
Package Name: python-pydns
New Branches: EL-5

To get into EPEL.
Comment 11 Kevin Fenzi 2007-06-11 19:43:48 EDT
branch done. 

Note You need to log in before you can comment on or make changes to this bug.